
Redmine - Defect #958

Using browser "back" button in Forums resets topics per page from 50 to 25

2008-03-30 20:52 - Mike Duchene

Status: Closed Start date: 2008-03-30

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When viewing browsing forum topics, there is an option at the bottom to switch from 25 topics per page to 50 topics per page.  After

switching from 25 to 50 and then reading a message, when using the web browser "back" button to go back to the topics list, it will be

reset to 25 per page instead of the 50.

(tested on redmine.org as of creation date)

History

#1 - 2009-12-03 00:08 - Mischa The Evil

- Category set to Forums

- Affected version (unused) set to devel

- Resolution set to Wont fix

This is an old issue I came around which I've tested on current source:/trunk@3118. The results are:

the issue still persists using the browser's back button

the issue doesn't crop-up when the user is using proper "web 2.0-style" controls from within the app;

the forum-pagination setting is preserved when:

the user clicks on the forum project-menu item

the user clicks on the category links of the "trail" in the forum module itself

Based on the observations above I'd propose to close this issue with the resolution "wont fix".

#2 - 2009-12-03 11:22 - Kamil .

So why can't you provide "back" link?

#3 - 2011-11-27 23:36 - Mischa The Evil

- Status changed from New to Closed

- Resolution deleted (Wont fix)

Fixed in the end as part of #5138 (included in Redmine 1.2.0).
https://www.redmine.org/projects/redmine/repository/svn/revisions/3118/entry/trunk
https://www.redmine.org/issues/5138
https://www.redmine.org/versions/27
http://www.tcpdf.org

